<?xml version="1.0"?>
<xs:schema
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  elementFormDefault="qualified"
  attributeFormDefault="unqualified">

  <xs:element name="events" type="eventsType"/>

  <xs:complexType name="eventsType">
    <xs:sequence>
      <xs:element name="event" type="eventType" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="eventType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="event-type" type="xs:unsignedInt"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:element name="STNResp-params" type="STNResp-paramsType"/>

  <xs:complexType name="STNResp-paramsType">
    <xs:sequence>
      <xs:element name="transfer-details" type="xs:base64Binary"/>
      <xs:element name="ATGW-anchored" type="xs:boolean"/>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>


</xs:schema>
